/***** BEGIN License Block *****
 * Version 1.1 MPL
 *
 * The contents of this file are subject to the Mozilla Public 
 * License Version 1.1 (the "License").  You may not use this 
 * file except in compliance with the License. You may obtain a 
 * copy of the License at http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed on an 
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express  
 * or implied. See the License for the specific language governing 
 * rights and limitations under the License.
 *
 * The Original Code is Civil Netizen/Civil Servant.
 *
 * The Initial Developer of the Original Code is Civil Engines 
 * Research. Portions created by Civil Engines Research LLC are 
 * Copyright (C) 2001-2005 Civil Engines Research.  All Rights 
 * Reserved.  
 *
 * Portions created by Netscape Copyright (C) 1998 Netscape 
 * Communications Corporation. All Rights Reserved.
 *
 * Portions created by the Mozilla Foundation are Copyright (C) 
 * 2003 Mozilla Foundation. All Rights Reserved.
 *
 * Redistribution of the Original Code or portions of the Original
 * Code or Software under this agreement must retain the above 
 * copyright notice, this redistribution statement and the following 
 * disclaimer.  Neither the name of Civil Engines Research nor the 
 * names of its contributors may be used to endorse or promote any
 * products derived from this software without specific prior 
 * written permission from Civil Engines Research.
 *
 *
 * Contributor(s): 
 *   Paolo de Dios <paolo.dedios@civilengines.com> (original author)
 *
 *
 ***** END License Block *****/

//@line 43 "/cygdrive/d/projects/cers/netizen.source/devel/mozilla/civil/netizen/app/profile/netizen.js"

//@line 49 "/cygdrive/d/projects/cers/netizen.source/devel/mozilla/civil/netizen/app/profile/netizen.js"


pref("general.useragent.vendor"                      , "CivilNetizen");
pref("general.smoothScroll"                          , false);

//@line 58 "/cygdrive/d/projects/cers/netizen.source/devel/mozilla/civil/netizen/app/profile/netizen.js"
pref("general.autoScroll"                            , true);

//@line 61 "/cygdrive/d/projects/cers/netizen.source/devel/mozilla/civil/netizen/app/profile/netizen.js"

pref("general.startup.browser"                       , false);
pref("general.startup.mail"                          , false);
pref("general.startup.editor"                        , false);

pref("general.useragent.locale"                      , "chrome://global/locale/intl.properties");
pref("general.useragent.locale.selected"             , "en-US");
pref("general.skins.selectedSkin"                    , "classic/1.0");


pref("browser.chromeURL"                             , "chrome://netizen/content/netizen.xul");
pref("browser.hiddenWindowChromeURL"                 , "chrome://netizen/content/hiddenWindow.xul");
pref("browser.cache.disk.capacity"                   , 50000);
pref("browser.enable_automatic_image_resizing"       , true);
pref("browser.turbo.enabled"                         , false);
pref("browser.xul.error_pages.enabled"               , false);
pref("browser.sessionHistory.max_entries"            , 15);
pref("browser.sessionhistory.max_total_viewers"      , 5);

pref("network.cookie.cookieBehavior"                 , 0);
pref("network.cookie.enableForCurrentSessionOnly"    , false);

pref("intl.collationOption"                          , "chrome://global-platform/locale/intl.properties");
pref("intl.charset.default"                          , "chrome://global-platform/locale/intl.properties");

pref("intl.accept_languages"                         , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.static"               , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more1"                , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more2"                , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more3"                , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more4"                , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.more5"                , "chrome://global/locale/intl.properties");
pref("intl.charsetmenu.browser.unicode"              , "chrome://global/locale/intl.properties");
pref("intl.charset.detector"                         , "chrome://global/locale/intl.properties");
pref("font.language.group"                           , "chrome://global/locale/intl.properties");
pref("intl.menuitems.alwaysappendaccesskeys"         , "chrome://global/locale/intl.properties");
pref("intl.menuitems.insertseparatorbeforeaccesskeys", "chrome://global/locale/intl.properties");

pref("mousewheel.withcontrolkey.action"              , 3);
pref("mousewheel.withshiftkey.action"                , 2);
pref("mousewheel.withaltkey.action"                  , 0);

pref("profile.allow_automigration"                   , false);

pref("alerts.slideIncrement"                         , 1);
pref("alerts.slideIncrementTime"                     , 10);
pref("alerts.totalOpenTime"                          , 4000);
pref("alerts.height"                                 , 50);

pref("network.protocol-handler.external.mailto"      , true);
pref("network.protocol-handler.external.http"        , false);
pref("network.protocol-handler.external.https"       , false);
pref("network.protocol-handler.external.news"        , false);
pref("network.protocol-handler.external.snews"       , false);
pref("network.protocol-handler.external.nntp"        , false);

pref("network.protocol-handler.warn-external.mailto" , false);
pref("network.protocol-handler.warn-external.http"   , false);
pref("network.protocol-handler.warn-external.https"  , false);
pref("network.protocol-handler.warn-external.news"   , true);
pref("network.protocol-handler.warn-external.snews"  , true);
pref("network.protocol-handler.warn-external.nntp"   , true);


pref("network.protocol-handler.expose-all"           , true);
pref("network.protocol-handler.expose.mailto"        , false);
pref("network.protocol-handler.expose.http"          , false);
pref("network.protocol-handler.expose.https"         , false);
pref("network.protocol-handler.expose.news"          , false);
pref("network.protocol-handler.expose.snews"         , false);
pref("network.protocol-handler.expose.nntp"          , false);


pref("network.http.keep-alive.timeout"               , 30);
pref("network.http.max-connections"                  , 20);
pref("network.http.max-connections-per-server"       , 10);
pref("network.http.pipelining"                       , true);
pref("network.http.pipelining.maxrequests"           , 10);
pref("network.http.proxy.pipelining"                 , true);
pref("network.http.request.max-start-delay"          , 5);
pref("network.prefetch-next"                         , false);

pref("security.warn_entering_secure.show_once"       , true);
pref("security.warn_entering_weak.show_once"         , true);
pref("security.warn_leaving_secure.show_once"        , true);
pref("security.warn_viewing_mixed.show_once"         , true);
pref("security.warn_submit_insecure.show_once"       , true);


pref("bidi.browser.ui"                               , false);


//@line 160 "/cygdrive/d/projects/cers/netizen.source/devel/mozilla/civil/netizen/app/profile/netizen.js"
pref("mousewheel.withcontrolkey.action"              , 3);
pref("mousewheel.withcontrolkey.sysnumlines"         , false);
pref("mousewheel.withshiftkey.action"                , 2);
pref("mousewheel.withshiftkey.sysnumlines"           , false);

//@line 166 "/cygdrive/d/projects/cers/netizen.source/devel/mozilla/civil/netizen/app/profile/netizen.js"

pref("mousewheel.withaltkey.action"                  , 0);
pref("mousewheel.withaltkey.sysnumlines"             , false);


/* Netizen parcel expiration settings */
pref("netizen.parcel.keep.expired"                   , true);

/* Netizen auto update settings */
pref("app.update.enabled"                            , true);
pref("app.update.auto"                               , true);
pref("app.update.silent"                             , false);

pref("app.update.url.manual"                         , "http://www.civilnetizen.com/");
pref("app.update.url.details"                        , "chrome://netizen/locale/region.properties");
pref("app.update.url"                                , "http://download.civilnetizen.com/updates/1/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/update.xml");

/* Auto Update Notification Settings
 *
 * Update Mode:   Beta Releases:      Official Releases:
 * -----------------------------------------------------------
 *    0           download no prompt  download no prompt
 *    1           download no prompt  download no prompt if no incompatibilities
 *    2           download no prompt  prompt
 */
pref("app.update.mode"                               , 1);

/* Auto Update Timer Intervals
 * 
 * Preference                     Description                     Default
 * ----------------------------------------------------------------------
 * update.interval                Time between checks for a       4 hours (14400 secs)
 *                                new version (in seconds)
 * update.nagTimer.download       Time before prompting user to   1 day   (86400 secs)
 *                                download a new version that is
 *                                available (in seconds)
 * update.nagTimer.restart        Time before prompting user to   1 hour  (3600 secs)
 *                                restart to install the latest 
 *                                download (in seconds)
 * update.timer                   Time interval when all update   10 mins (600000 ms)
 *                                timers should be checked for
 *                                expiration (in milliseconds)
 */
pref("app.update.interval"                           , 14400);
pref("app.update.nagTimer.download"                  , 86400);
pref("app.update.nagTimer.restart"                   , 3600);
pref("app.update.timer"                              , 600000);


/* Whether or not we show a dialog box informing the user that the update was
 * successfully applied. This is off in Firefox by default since we show a 
 * upgrade start page instead! Other apps may wish to show this UI, and supply
 * a whatsNewURL field in their brand.properties that contains a link to a page
 * which tells users what's new in this new update.
 */
pref("app.update.showInstalledUI"                    , false);

/* 0 = suppress prompting for incompatibilities if there are updates available
 *     to newer versions of installed addons that resolve them.
 * 1 = suppress prompting for incompatibilities only if there are VersionInfo
 *     updates available to installed addons that resolve them, not newer
 *     versions.
 */
pref("app.update.incompatible.mode"                  , 0);
